%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	PackageFileManager
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - takes an existing package.xml file and updates it with a new filelist and changelog
Summary(pl.UTF-8):	%{_pearname} - aktualizacja package.xml (dodanie nowej listy plików oraz listy zmian)
Name:		php-pear-%{_pearname}
Version:	1.7.2
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e421d1197d8dd390dd6918e163f90f49
URL:		http://pear.php.net/package/PEAR_PackageFileManager/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.1
Requires:	php-pear-PEAR_PackageFileManager2
Requires:	php-pear-PEAR_PackageFileManager_Plugins
Suggests:	php-pear-PHP_CompatInfo
Obsoletes:	php-pear-PEAR_PackageFileManager-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(PHP/CompatInfo.*)' 'pear(XML/Tree.*)'

%description
This package revolutionizes the maintenance of PEAR packages. With a
few parameters, the entire package.xml is automatically updated with a
listing of all files in a package.

Features include:
- reads an existing package.xml file, and only changes the
  release/changelog
- a plugin system for retrieving files in a directory. Currently two
  plugins exist, one for standard recursive directory content listing,
  and one that reads CVS/Entries and generates a file listing based on
  the contents of a checked out CVS repository
- incredibly flexible options for assigning install roles to
  files/directories
- ability to ignore any file based on a * ? wildcard-enabled string
- ability to manage dependencies
- can output the package.xml in any directory, and read in the
  package.xml from any directory
- can specify a different name for the package.xml file

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet rewolucjonizuje zarządzanie pakietami PEAR. Za pomocą kilku
parametrów możliwe jest automatyczne zaktualizowanie package.xml o
listę plików danego pakietu.

Możliwości pakietu:
- wczytuje istniejący plik package.xml i zmienia w nim tylko
  release/changelog
- system wtyczek służących do skompletowania listy plików w katalogu.
  Aktualnie istnieją dwie takie wtyczki - jedna do standardowego
  rekursywnego przeglądania katalogów, druga do odczytu do generowania
  listy plików na podstawie CVS/Entries.
- niesamowicie elastyczne opcje do określania roli podczas instalacji
  dla plików/katalogów [FIXME?]
- możliwość ignorowania plików na podstawie wildcardów * ?
- możliwość do zarządzania zależnościami
- możliwość zapisu pliku package.xml do dowolnego katalogu oraz
  odczytu tego pliku z dowolnego katalogu
- można określić dla pliku package.xml inną nazwę

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%changelog
* Thu Feb 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PEAR_PackageFileManager.git;a=log;h=master

* Thu Feb 28 2019 Adam Gołębiowski <adamg@pld-linux.org> e472301
- updated to 1.7.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> ecf5840
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a64234e
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 7301f0d
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> bae0f58
- updated to: 1.7.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 369844e
- rel 2

* Wed Nov 21 2007 Adam Gołębiowski <adamg@pld-linux.org> 7335021
- updated to 1.6.3

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 5f838b3
- updated to 1.6.1

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> cef98df
- 1.6.0-stable

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fe9b4bc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 14c8c55
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 8e80e4b
- updated to 1.6.0b4 (beta)

* Sun Jun 11 2006 Elan Ruusamäe <glen@pld-linux.org> b6770de
- 1.5.3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 152159e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6bcf5fd
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> b299ddc
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ba2d796
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 40cf055
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ff89ab5
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 3836b01
- rel 2

